#include "MainClient.h"

using namespace KSGClient;

extern "C"
{
    // Einstiegspunkte in die Bibliothek

    // Erzeugt einen neuen Client beim Serversystem.
    //  registerSSL Methode muss aufgerufen werden um den Client beim Serversystem anzumelden
    __declspec( dllexport ) MainServerClient *createMainServerClient()
    {
        return new MainClient();
    }
    // Erzeugt einen Client, der bereits beim Serversystem angemeldet ist
    //  ip: Die Ip des Main Servers fr angemeldete Clients
    //  port: Der Port des Main Servers fr angemeldete Clients
    //  klientId: Die Id die der Client durch das Anmelden bekommen hat
    __declspec( dllexport ) MainServerClient *createRegisterdMainServerClient( char *ip, unsigned short port, int klientId, char *key, unsigned char keyLen )
    {
        return new MainClient( ip, port, klientId, key, keyLen );
    }
}